#!/bin/sh
#
# It is the uhafs Valery Kornienkov vlk@st.simbirsk.su 2:5051/30@fidonet
# ver 0.1 Thu Apr  6 12:05:08 2000
#
# Tested with HA 0.999.  Source of ha can be found at
# ftp://ftp.ibiblio.org/pub/Linux/utils/compress/

EDJ=edje_cc
UEDJ=edje_decc
EDJ_LIST=edje_ls

mc_edj_fs_list ()
{
    ORIG="$1"
    TMPDIR=`mktemp -d ${MC_TMPDIR:-/tmp}/mctmpdir-uedj.XXXXXX` || exit 1
    ARCHIVE=$TMPDIR/archive.edj
    ln -sf $ORIG $ARCHIVE
    cd $TMPDIR
    $UEDJ $ARCHIVE > /dev/null
    cd archive
    ls -l --time-style=long-iso|grep '^[-dl]' | awk -mf 9 '
	BEGIN {
	    perm=$1
	    links=$2
	    owner=$3
	    group=$4
	    size=$5
	    date=$6
	    time=$7
	    name=$8
	}
	{
		printf "%7s %3d %8s %8s %8d %10s %5s %s \n", $1, $2, $3, $4, $5, $6, $7, $8
	}
    '
	
}
mc_edj_fs_copyout ()
{
    echo "In progress...\n"
}

cmd="$1"
shift

case "$cmd" in
   list)    mc_edj_fs_list    "$@" ;;
   copyout) mc_edj_fs_copyout "$@" ;;
   copyin)  mc_edj_fs_copyin  "$@" ;;
   run)     mc_edj_fs_run     "$@" ;;
   *)       exit 1 ;;
esac
exit 0
